Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.msportal.ai/api/public/v1/training/enrollments/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "course": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "courseType": "<string>" }, "user": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "fullName": "<string>", "email": "<string>" }, "progress": 50, "score": 123, "enrolledAt": "2023-11-07T05:31:56Z", "startedAt": "2023-11-07T05:31:56Z", "completedAt": "2023-11-07T05:31:56Z", "dueDate": "2023-11-07T05:31:56Z", "timeSpentSeconds": 123, "certificateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }
Retrieve a single enrollment by ID.
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Enrollment ID
Enrollment details
Show child attributes
Was this page helpful?